package example;

import items.Customer;
import items.OnlineCustomer;
import items.Person;

public class ExGenericUpperBound2 {

    public static <T extends Customer> void compareCustomers(
        T first,
        T second) {
        System.out.println("first: " + first.getClass().getName());
        System.out.println("second: " + second.getClass().getName());
    }


    public static <T extends Number> void add(T first, T second) {

        System.out.println("Sum = " + first.doubleValue() + second
            .doubleValue());

    }


    public static void main(String[] args) {

        Person jaime = new Person("Jaime", 30);
        Person jordan = new Person("Jordan", 32);

        Customer alexTheCustomer = new Customer("Alex", 32);
        OnlineCustomer jayTheOnlineCustomer = new OnlineCustomer("Jay", 27,
            "jay@g.com");

        compareCustomers(alexTheCustomer, jayTheOnlineCustomer);
        // compareCustomers(jaime, jordan);

        add(5, 20.3);
        add(5, 1121212216);
        // add(5, jaime);
    }
}
