package items;

/**
 * a customer object that extends person
 * 
 * @author maellis1
 * @version June 2020
 *
 */
public class Customer extends Person {
    private Integer customerID;

    public Customer(String name, int age) {
        super(name, age);
    }


    public Customer(String name, int age, Integer custID) {
        super(name, age);
        this.customerID = custID;
    }


    /**
     * getter for customer's ID
     * 
     * @return customer's ID
     */
    public Integer getCustomerID() {
        return customerID;
    }


    /**
     * setter for customer's ID
     * 
     * @param customerID
     */
    public void setCustomerID(Integer customerID) {
        this.customerID = customerID;
    }

}
