package items;

/**
 * a customer object that extends person
 * 
 * @author maellis1
 * @version June 2020
 *
 */
public class OnlineCustomer extends Customer {
    private String email;


    public OnlineCustomer(String name, int age, String email) {
        super(name, age);
        this.email = email;
    }


    public OnlineCustomer(String name, int age, Integer custID, String email) {
        super(name, age, custID);
        this.email = email;
    }


    /**
     * getter for online customer's email
     * 
     * @return online customer's email
     */
    public String getEmail() {
        return email;
    }


    /**
     * setter for customer's email
     * 
     * @param email
     */
    public void setCustomerID(String email) {
        this.email = email;
    }

}
