/**
 * 
 */
package items;

/**
 * A person object
 * 
 * @author maellis1
 * @version Juen 2020
 *
 */
public class Person {
    private String name;
    private Integer age;

    public Person() {
        name = "";
        age = 0;
    }


    public Person(String name, Integer age) {
        this.name = name;
        this.age = age;
    }


    /**
     * setter for person's name
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }


    /**
     * setter for person's age
     * 
     * @param age
     */
    public void setAge(Integer age) {
        this.age = age;
    }


    /**
     * getter for person's name
     * 
     * @return person's name
     */
    public String getName() {
        return name;
    }


    /**
     * getter for person's age
     * 
     * @return person's age
     */
    public Integer getAge() {
        return age;
    }


    @Override
    public String toString() {
        return ("name: " + name + " and age: " + age);
    }


    @Override
    public boolean equals(Object obj) {
        if (obj == this)
            return true;
        if (obj == null)
            return false;
        if (this.getClass() == obj.getClass()) {
            Person other = (Person)obj;
            return name.equals(other.name) && age.equals(other.age);
        }
        else {
            return false;
        }
    }
}
